Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTDEntity

    java.lang.Object
      |
      +--com.wutka.dtd.DTDEntity

All Implemented Interfaces:
  DTDOutput

public class DTDEntity
extends Object
implements DTDOutput

Represents an Entity defined in a DTD

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`Object` | `defaultLocation`
`DTDExternalID` | `externalID`
`boolean` | `isParsed`
`String` | `name`
`String` | `ndata`
`String` | `value`

Constructor Summary
`DTDEntity()`
`DTDEntity(String aName)`
`DTDEntity(String aName, Object aDefaultLocation)`

Method Summary
`boolean` | `equals(Object ob)`
`String` | `getExternalId()`
`DTDExternalID` | `getExternalID()` Returns the external ID for the entity
`String` | `getName()` Returns the name of this entity
`String` | `getNdata()` Returns the entity ndata
`Reader` | `getReader()`
`Reader` | `getReader(String entityName)`
`String` | `getValue()` Returns the entity value
`boolean` | `isParsed()` Returns the isParsed flag
`void` | `setExternalID(DTDExternalID anExternalID)` Sets the external ID for the entity
`void` | `setIsParsed(boolean flag)` Sets the isParsed flag
`void` | `setName(String aName)` Sets the name of this entity
`void` | `setNdata(String anNdata)` Sets the entity ndata
`void` | `setValue(String aValue)` Sets the entity value
`void` | `write(PrintWriter out)` Writes out an entity declaration for this entity

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### isParsed

    public boolean isParsed

### value

    public String value

### externalID

    public DTDExternalID externalID

### ndata

    public String ndata

### defaultLocation

    public Object defaultLocation

Constructor Detail

### DTDEntity

    public DTDEntity()

### DTDEntity

    public DTDEntity(String aName)

### DTDEntity

    public DTDEntity(String aName,
                     Object aDefaultLocation)

Method Detail

### write

    public void write(PrintWriter out)
               throws IOException

  Writes out an entity declaration for this entity
  Specified by:
    `write` in interface `DTDOutput`

### getExternalId

    public String getExternalId()

### getReader

    public Reader getReader()
                     throws IOException

### getReader

    public Reader getReader(String entityName)

### equals

    public boolean equals(Object ob)

  Overrides:
    `equals` in class `Object`

### setName

    public void setName(String aName)

  Sets the name of this entity

### getName

    public String getName()

  Returns the name of this entity

### setIsParsed

    public void setIsParsed(boolean flag)

  Sets the isParsed flag

### isParsed

    public boolean isParsed()

  Returns the isParsed flag

### setValue

    public void setValue(String aValue)

  Sets the entity value

### getValue

    public String getValue()

  Returns the entity value

### setExternalID

    public void setExternalID(DTDExternalID anExternalID)

  Sets the external ID for the entity

### getExternalID

    public DTDExternalID getExternalID()

  Returns the external ID for the entity

### setNdata

    public void setNdata(String anNdata)

  Sets the entity ndata

### getNdata

    public String getNdata()

  Returns the entity ndata

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD